%define upstream_name	 SVG-Graph
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Visualize your data in Scalable Vector Graphics (SVG) format
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/SVG/%{upstream_name}-%{upstream_version}.tar.bz2


Buildrequires:	perl(SVG)
Buildrequires:	perl(Statistics::Descriptive)
Buildrequires:	perl(Math::Spline)
Buildrequires:	perl(Tree::DAG_Node)
Buildarch:	noarch


%description
SVG::Graph is a suite of perl modules for plotting data. SVG::Graph currently
supports plots of one-, two- and three-dimensional data, as well as N-ary
rooted trees. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files 
%doc README Changes
%{perl_vendorlib}/SVG
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-11.mga10
+ Revision: 2207968
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.20.0-10.mga9
+ Revision: 1817354
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1497232
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1271251
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1033564
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 945976
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 743004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 686153
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 514578
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 372446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 32382
- mageia rebuild
- imported package perl-SVG-Graph


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.0
+ Revision: 404425
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.02-2mdv2009.0
+ Revision: 268718
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2009.0
+ Revision: 218355
- update to new version 0.02

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-7mdv2008.0
+ Revision: 47037
- rebuild


* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-6mdv2007.0
- spec cleanup
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-5mdk 
- better url
- spec cleanup
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-4mdk 
- fix summary
- fix directory ownership

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-2mdk 
- rpmbuildupdate aware

* Tue Jan 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.01-1mdk
- first mdk release

